// CFESTemplate - [2020-04-13 11:57:46]
#ifndef _CFESTEMPLATE_H_
#define _CFESTEMPLATE_H_

#include "CFEScreen.h"

/*
00131858 CFESTemplate::CFESTemplate()
00131870 CFESTemplate::~CFESTemplate()
00131874 CFESTemplate::~CFESTemplate()
00131882 CFESTemplate::Init()
00131884 CFESTemplate::Exit()
00131886 CFESTemplate::Process()
00131888 CFESTemplate::Render2D()
0013188A CFESTemplate::Render2DHUD()

CFEScreen

vptr_CFESTemplate_322350:
  CFESTemplate::~CFESTemplate()
  CFESTemplate::~CFESTemplate()
  CFESTemplate::Init()
  CFESTemplate::Process()
  CFESTemplate::Render2D()
  CFESTemplate::Render2DHUD()
  CFEScreen::PreRender3D()
  CFEScreen::Render3D()
  CFESTemplate::Exit()
*/

class CFESTemplate : public CFEScreen {
public:
  CFESTemplate();              // 00131858
  ~CFESTemplate();             // 00131870 00131874
  virtual void Init();         // 00131882
  virtual void Exit();         // 00131884
  virtual void Process();      // 00131886
  virtual void Render2D();     // 00131888
  virtual void Render2DHUD();  // 0013188A
};

#endif  //_CFESTEMPLATE_H_